from django.conf.urls.defaults import *

from django.conf.urls.defaults import *
from seminar.settings import MEDIA_ROOT
from seminar.tracker import views, sub_views
from django.contrib import admin
from django.contrib.auth.views import login, logout
admin.autodiscover()

urlpatterns = patterns('', 
    (r'^accounts/media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': MEDIA_ROOT , 'show_indexes': True }),
    (r'^students_json$',views.all_students_json),
    (r'^students_json/([\w\s]+)/$',views.query_students_json),
    (r'^accounts/profile/ajax/load_pass/$',sub_views.passes),
    (r'^accounts/profile/ajax/load_roster/$',sub_views.roster),
    (r'^accounts/profile/ajax/load_incomming/$',sub_views.incoming),
    (r'^sign_out/$',views.sign_out),
    (r'^sign_in/$',views.sign_in),
    (r'^admin/', include(admin.site.urls)),   
    (r'^accounts/$', views.home_redirect),
    (r'^accounts/login/$',  login , {'template_name' : 'login.dhtml'}),
    (r'^accounts/logout/$', logout),
    (r'^accounts/profile/$', views.home),
    (r'^newpass/$', views.new_pass),
    (r'^removepass/$',views.delete_pass),
)