from os import  environ
import sys

print '------------------------------------------'
print '--------STUDENT DATABASE LOADER--------'
print '------------------------------------------'
print
print '                              By Tyler Cecil'
print
print 'Initializing System Path'
sys.path.append('/Users/tylercecil/Documents/Seminar-Tracker')
print '\tTracker Added'
sys.path.append('/Users/tylercecil/Documents/Seminar-Tracker/seminar')
print '\tseminar Added'
sys.path.append('/Users/tylercecil/Documents/Seminar-Tracker/seminar/tracker')
print '\ttracker Added'

import seminar
environ['DJANGO_SETTINGS_MODULE'] = 'seminar.settings'
print 'DJANGO_SETTINGS_MODULE set as seminar.settings'
from seminar import tracker
from tracker.models import Student, Teacher
from django.contrib.auth.models import User
import xlrd

print
print 'LOADING EXCEL FILE....' ,
book = xlrd.open_workbook('Students.xls')
sheet = book.sheet_by_index(0)
print 'DONE'

print '------------------------------------------'
print '--------LOADING INFORMATION------------'
print '------------------------------------------'

for i in range(sheet.nrows):
    row = sheet.row_values(i , end_colx=4)
    teacher_name = row[3].split()
    student_name = [row[0],row[1]]
    if len(teacher_name) != 2:
        teacher_name = row[3].split('-')
    try:
        User.objects.get(last_name = teacher_name[0], first_name = teacher_name[1])
    except:
        print 'New Teach Found: ',
        print teacher_name
        new_user = User(last_name = teacher_name[0], first_name=teacher_name[1], username=teacher_name[1][0]+teacher_name[0],  is_staff=False)
        new_user.set_password('ea'+teacher_name[0])
        new_user.save()
        print '\tUser Model Activated'
        new_teacher = Teacher(user = new_user, room = i)
        new_teacher.save()
        print '\tTeacher Model Activated'
    print 'Student: ',
    print student_name
    teacher = Teacher.objects.get(user=User.objects.get(last_name=teacher_name[0], first_name=teacher_name[1]))
    new_student = Student(firstName=student_name[0],lastName=student_name[1],seminar=teacher)
    new_student.save()
    print 'Student Model Activated'
print 'DONE'